Package: io.vertx.groovy.ext.shell.command

## [Groovy] Class CommandBuilder

- io.vertx.groovy.ext.shell.command.CommandBuilder

- A build for Vert.x Shell command.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `CommandBuilder (Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Command` | `build()` Build the command
    `static CommandBuilder` | `command(String name)` Create a new commmand builder, the command is responsible for managing the options and arguments via the #args() arguments.
    `static CommandBuilder` | `command(CLI cli)` Create a new commmand with its io.vertx.groovy.core.cli.CLI descriptor.
    `CommandBuilder` | `completionHandler(Handler<Completion> handler)` Set the command completion handler, the completion handler when the user asks for contextual command line completion, usually hitting the tab key.
    `Object` | `getDelegate()`
    `CommandBuilder` | `processHandler(Handler<CommandProcess> handler)` Set the command process handler, the process handler is called when the command is executed.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### CommandBuilder(Object delegate)

  - ### Method Detail

    - #### Command build()

      Build the command

      Returns:
        the built command

    - #### static CommandBuilder command(String name)

      Create a new commmand builder, the command is responsible for managing the options and arguments via the #args() arguments.

      Returns:
        the command
      Parameters:
        `name` - the command name

    - #### static CommandBuilder command(CLI cli)

      Create a new commmand with its io.vertx.groovy.core.cli.CLI descriptor. This command can then retrieve the parsed CommandProcess.commandLine when it executes to know get the command arguments and options.

      Returns:
        the command
      Parameters:
        `cli` - the cli to use

    - #### CommandBuilder completionHandler(Handler<Completion> handler)

      Set the command completion handler, the completion handler when the user asks for contextual command line completion, usually hitting the tab key.

      Returns:
        this command object
      Parameters:
        `handler` - the completion handler

    - #### Object getDelegate()

    - #### CommandBuilder processHandler(Handler<CommandProcess> handler)

      Set the command process handler, the process handler is called when the command is executed.

      Returns:
        this command object
      Parameters:
        `handler` - the process handler